Commit 50a2deff authored by Duncan Bellamy's avatar Duncan Bellamy Committed by Rasmus Thomsen
Browse files

testing/py3-nodeenv: upgrade to 1.5.0

parent 83feaa3d
Pipeline #42633 failed with stages
in 39 seconds
change python to python3 as alpine does not provide python
change nodejs to node to match alpine name
change nodejs in tests to node to match alpine name
swap nodejs.org for mirror returned in test so it passes
--- a/nodeenv.py
+++ b/nodeenv.py
@@ -1,4 +1,4 @@
......@@ -9,30 +10,27 @@ swap nodejs.org for mirror returned in test so it passes
# -*- coding: utf-8 -*-
"""
@@ -513,7 +513,11 @@
'AMD64': 'x64', # Windows Server 2012 R2 (x64)
'armv6l': 'armv6l', # arm
'armv7l': 'armv7l',
+ 'armv8l': 'armv7l',
'aarch64': 'arm64',
+ 'ppc64le': 'ppc64le', # Power PC
+ 's390x': 's390x', # IBM S390x
+
}
sysinfo = {
'system': platform.system().lower(),
--- a/tests/nodeenv_test.py
+++ b/tests/nodeenv_test.py
@@ -24,7 +24,7 @@
@@ -26,7 +26,7 @@
assert os.path.exists(nenv_path)
activate = pipes.quote(os.path.join(nenv_path, 'bin', 'activate'))
subprocess.check_call([
- 'sh', '-c', '. {} && nodejs --version'.format(activate),
+ 'sh', '-c', '. {} && node --version'.format(activate),
])
@@ -41,7 +41,7 @@
assert os.path.exists(nenv_path)
activate = pipes.quote(os.path.join(nenv_path, 'bin', 'activate'))
subprocess.check_call([
- 'sh', '-c', '. {0}/bin/activate && nodejs --version'.format(nenv_path),
+ 'sh', '-c', '. {0}/bin/activate && node --version'.format(nenv_path),
- 'sh', '-c', '. {} && nodejs --version'.format(activate),
+ 'sh', '-c', '. {} && node --version'.format(activate),
])
@@ -87,8 +87,8 @@
@@ -104,8 +104,8 @@
'https://npm.taobao.org/mirrors/node/index.json'),
('npm.some-mirror.com',
'https://npm.some-mirror.com/download/release/index.json'),
......
......@@ -2,7 +2,7 @@
# Maintainer: Duncan Bellamy <dunk@denkimushi.com>
pkgname=py3-nodeenv
_pkgname=nodeenv
pkgver=1.4.0
pkgver=1.5.0
pkgrel=0
pkgdesc="Node.js virtual environment builder"
url="https://ekalinin.github.io/nodeenv/"
......@@ -10,7 +10,7 @@ arch="all !x86" #prebuilt node binaries are not availible for x86
arch="$arch !mips64" # no nodejs
license="BSD-3-Clause"
depends="nodejs"
checkdepends="py3-pytest py3-mock py3-pytest-cov"
checkdepends="py3-pytest py3-mock py3-pytest-cov bash"
makedepends="python3-dev py3-setuptools"
source="$_pkgname-$pkgver.tar.gz::https://github.com/ekalinin/nodeenv/archive/$pkgver.tar.gz
10-alpine.patch"
......@@ -28,5 +28,5 @@ package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="0c4faa562ca00a1a4196f9eace87d32a7d5d9ea39c9272a886eeb2ce3538bf071041efb1f32fb7511793e6f5d12ecca1d7d8e6b8639b10a2feed35a2eb2712a6 nodeenv-1.4.0.tar.gz
d3c766efc8bf33ee840ddfe4bfa33fce75586dc979672dfb3ef4e9a1be5391c1efe1de065bd33b9aacd22ca3d2b20724a142d86011ca736ff19537d89086373f 10-alpine.patch"
sha512sums="645911f6ab173bf0e7b68fca9741f1deeb2d486dea99f43d542f86b2ac34439e03da18a6e4de49e3dd45fb89b3c87005b184ca4b73aa0549e75a86191e045e02 nodeenv-1.5.0.tar.gz
0888c64246aa664d7289c66e3765ee576930788f526db620c9ff92708121a5e1a3d96c44d5453371c77bedc6ded6d9a2c9dfb1bf6e77aa669653584ab1ebe65b 10-alpine.patch"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment